Subject: Re: bug#70036: 30.0.50; Move file-truename to the C level

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Mar 2024 08:03:17 +0200

> Cc: [email-masked]
> Date: Wed, 27 Mar 2024 22:43:25 +0100
> From:  Theodor Thornhill via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Felician Nemeth <[email-masked]> writes:
> 
> >> I've been studying Eglots performance and have been noticing a couple
> >> of things that I find very interesting. It seems like `file-truename`
> >> is in the hot path
> >
> > I think Eglot repeatedly calls file-truename with the same argument (or
> > with an argument from a small set of filenames.)
> 
> This is true, to some extent.

Can someone explain why Eglot needs to call file-truename in the first
place?